This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297094 - Review Request: erlang-p1_yaml - An Erlang wrapper for libyaml "C" library
Review Request: erlang-p1_yaml - An Erlang wrapper for libyaml "C" library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2016-01-08 22:42 EST by Jeremy Cline
Modified: 2016-01-27 14:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 14:13:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2016-01-08 22:42:28 EST
Spec URL: https://jcline.fedorapeople.org/erlang-p1_yaml.spec
SRPM URL: https://jcline.fedorapeople.org/erlang-p1_yaml-0-1.20151007git79f756ba.fc23.src.rpm
Description: P1 YAML is an Erlang wrapper for libyaml "C" library.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12473398

This package currently has a number of rpmlint warnings:
Rpmlint
-------
Checking: erlang-p1_yaml-0-1.20151007git79f756ba.fc24.x86_64.rpm
          erlang-p1_yaml-0-1.20151007git79f756ba.fc24.src.rpm
erlang-p1_yaml.x86_64: W: spelling-error Summary(en_US) libyaml -> Libya
erlang-p1_yaml.x86_64: W: spelling-error %description -l en_US libyaml -> Libya
erlang-p1_yaml.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.src: W: spelling-error Summary(en_US) libyaml -> Libya
erlang-p1_yaml.src: W: spelling-error %description -l en_US libyaml -> Libya
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_yaml.x86_64: W: spelling-error Summary(en_US) libyaml -> Libya
erlang-p1_yaml.x86_64: W: spelling-error %description -l en_US libyaml -> Libya
erlang-p1_yaml.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_alloc_binary
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_free
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_binary
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_atom
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_alloc
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_uint
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_double
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_long
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_list_cell
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_tuple
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_get_uint
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_atom_len
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_badarg
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_inspect_iolist_as_binary
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_get_list_cell
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_list
1 packages and 0 specfiles checked; 0 errors, 20 warnings.


The unstripped-binary-or-object warning is expected as erlang packages are, by convention, built with debugging info. All these missing symbols are provided by erlang-erts, but I don't see an .so to link against.
Comment 1 Randy Barlow 2016-01-24 17:23:16 EST
Note, there is one thing to consider fixing below, marked !.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "GPL (v2 or later) (with incorrect FSF
     address)", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck in /home/rbarlow/1297094-erlang-
     p1_yaml/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

rbarlow:
[?]: I'm not sure how this passed a build, but it seems you would need a
     BuildRequires on erlang-eunit. Maybe one of the other BuildRequires
     pulls it in?

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
     Note: Since you packaged this, upstream has released a 1.0.1.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_yaml-0-1.20151007git79f756ba.fc24.x86_64.rpm
          erlang-p1_yaml-0-1.20151007git79f756ba.fc24.src.rpm
erlang-p1_yaml.x86_64: W: spelling-error Summary(en_US) libyaml -> Libya
erlang-p1_yaml.x86_64: W: spelling-error %description -l en_US libyaml -> Libya
erlang-p1_yaml.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.src: W: spelling-error Summary(en_US) libyaml -> Libya
erlang-p1_yaml.src: W: spelling-error %description -l en_US libyaml -> Libya
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_yaml.x86_64: W: spelling-error Summary(en_US) libyaml -> Libya
erlang-p1_yaml.x86_64: W: spelling-error %description -l en_US libyaml -> Libya
erlang-p1_yaml.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_alloc_binary
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_free
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_binary
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_atom
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_alloc
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_uint
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_double
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_long
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_list_cell
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_tuple
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_get_uint
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_atom_len
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_badarg
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_inspect_iolist_as_binary
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_get_list_cell
erlang-p1_yaml.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so enif_make_list
1 packages and 0 specfiles checked; 0 errors, 20 warnings.



Requires
--------
erlang-p1_yaml (rpmlib, GLIBC filtered):
    erlang-erts
    erlang-p1_utils
    libc.so.6()(64bit)
    libyaml-0.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-p1_yaml:
    erlang-p1_yaml
    erlang-p1_yaml(x86-64)



Unversioned so-files
--------------------
erlang-p1_yaml: /usr/lib64/erlang/lib/p1_yaml-0/priv/lib/p1_yaml.so

Source checksums
----------------
https://github.com/processone/p1_yaml/archive/79f756ba.tar.gz :
  CHECKSUM(SHA256) this package     : e3355ab39a34353bcd1066fe82af79e37918d14b2f3a98e76364e01f898cd61e
  CHECKSUM(SHA256) upstream package : e3355ab39a34353bcd1066fe82af79e37918d14b2f3a98e76364e01f898cd61e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1297094
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2016-01-25 09:02:05 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_yaml

Note You need to log in before you can comment on or make changes to this bug.